import 'package:args/command_runner.dart';
import 'package:mi_service/mi_service.dart';
import 'package:mi_service/src/utils.dart';

import '../command_runner.dart';

class DevicesCommand extends Command<void> {
  @override
  final String name = 'devices';

  @override
  final String description = 'Get devices registered to account.';

  @override
  Future<void> run() async {
    final credential = (runner as MiServiceCommandRunner).ioCredential;
    final resp = await MiIOService(credential).getDevices();
    print(jsonEncoder.convert(resp));
  }
}
