import 'package:json_annotation/json_annotation.dart';

part 'credential.g.dart';

/// Credential for particular Mi service.
@JsonSerializable()
class MiServiceCredential {
  final String sid;
  final String userId;
  final String ssecurity;
  final String serviceToken;

  MiServiceCredential({
    required this.sid,
    required this.userId,
    required this.ssecurity,
    required this.serviceToken,
  });

  factory MiServiceCredential.fromJson(Map<String, dynamic> json) =>
      _$MiServiceCredentialFromJson(json);

  Map<String, dynamic> toJson() => _$MiServiceCredentialToJson(this);
}
