import 'dart:convert';
import 'dart:math';

import 'package:logger/logger.dart';

final logger = Logger(
  filter: ProductionFilter(),
  printer: PrettyPrinter(methodCount: 0, printTime: true),
);

final jsonEncoder = JsonEncoder.withIndent('    ');

final random = Random();

/// Generate random bytes represented in hex.
///
/// The [length] is the number of words (2 bytes) to generate.
String randomHexBytes(int length) => [
      for (var i = 0; i < length; i++)
        random.nextInt(0xFFFF).toRadixString(16).toUpperCase().padLeft(4, '0')
    ].join('');
